Skip to main content
POST
/
tracks
/
{id}
/
purchase
/
calculate-price
Calculate track purchase price
curl --request POST \
  --url https://open.beatpass.ca/api/v1/tracks/{id}/purchase/calculate-price \
  --header 'Authorization: Bearer <token>'
{
  "base_price": 100,
  "platform_fee": 15,
  "total_price": 115,
  "currency": "CAD"
}

Authorizations

Authorization
string
header
required

API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.

Path Parameters

id
integer
required

Track ID

Example:

1

Response

Price calculation result

base_price
number
Example:

100

platform_fee
number
Example:

15

total_price
number
Example:

115

currency
string
Example:

"CAD"

Last modified on March 20, 2026